package net.murakamin.sticker;

import net.murakamin.sticker.commands.Command;
import net.murakamin.sticker.commands.ParentCommand;

public interface CommandRunner
{
	public ConnectionPool getConnectionPool();

	public StickerContext getStickerContext();

	public void run(final Command target) throws Exception;

	public void run(final ParentCommand target) throws Exception;

	public void stopCommandExecution();
}
